package bradmax.com.bradmaxsdkdemoapp;

import android.content.pm.ApplicationInfo;
import android.os.Build;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.webkit.WebView;

import bradmax.com.bradmaxsdk.BradmaxPlayer;
import bradmax.com.bradmaxsdk.BradmaxPlayerListener;
import bradmax.com.bradmaxsdk.BradmaxPlayerSampleTimer;
import bradmax.com.bradmaxsdk.model.AdMedia;
import bradmax.com.bradmaxsdk.model.Advertisement;
import bradmax.com.bradmaxsdk.model.AdvertisementBreak;
import bradmax.com.bradmaxsdk.model.Media;
import bradmax.com.bradmaxsdk.model.MediaPlaybackState;
import bradmax.com.bradmaxsdk.model.SubtitlesFile;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_bradmax_player_full_screen);

        if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.KITKAT) {
            if (0 != (getApplicationInfo().flags & ApplicationInfo.FLAG_DEBUGGABLE))
            { WebView.setWebContentsDebuggingEnabled(true); }
        }

        // Adding player with minimal API.
        BradmaxPlayer bp = (BradmaxPlayer) findViewById(R.id.bradmax_player_full_screen_webview);

        // Loading "Demo app with ads enabled" JS player by its "embed ID" into SDK from bradmax platform.
        bp.setRemoteBradmaxPlayerEmbedId("6e6040e800a877db910c71d42e95980e7787eceb_4023");

        // Setup preroll advertisement break with data from VAST.
        AdvertisementBreak prerollAdBreak = new AdvertisementBreak("00:00:00");

        // TODO - set correct VAST URL below. It is hardcoded for example.
        prerollAdBreak.vast = "https://gpl.adocean.pl/ad.xml?id=qkhaOkRJUwoIdxHuBNBSXbN4wfJK5J4HDlnN9y71oiz.H7";
        bp.getPlayerConfig().advertisement = new Advertisement();
        bp.getPlayerConfig().advertisement.breaks = new AdvertisementBreak[]{prerollAdBreak};

        // TODO - set valid URL for media stream and splash screen.
        bp.loadVideoByUrl("https://bradmax.com/static/video/tos/big_buck_bunny.m3u8", "https://bradmax.com/static/images/startsplash.jpg");
    }
}